# Draw_Main.hxx File Reference

`#include <Standard_TypeDef.hxx>`
`#include <Draw_Appli.hxx>`
`#include <Standard_PCharacter.hxx>`

## Defines

#define | DRAW_MAIN

## Typedefs

typedef void(* | FDraw_InitAppli )(Draw_Interpretor &)

## Functions

Standard_EXPORT Standard_Integer | _main_ (Standard_Integer argc, Standard_PCharacter argv[], const FDraw_InitAppli Draw_InitAppli)

## Define Documentation

#define DRAW_MAIN

Value:

    int main (Standard_Integer argc, char* argv[])\
    {return _main_ (argc, argv, Draw_InitAppli);}

## Typedef Documentation

typedef void(* FDraw_InitAppli)(Draw_Interpretor &)

## Function Documentation

Standard_EXPORT Standard_Integer _main_ | ( | Standard_Integer | argc,
|  | Standard_PCharacter | argv[],
|  | const FDraw_InitAppli | Draw_InitAppli
| ) |